:root {
    --clr-neon: #00FFF3;
    --clr-bg: hsl(323 21% 16%);
}

*,
*::before,
*::after {
    box-sizing: border-box;
}


.neon-button{
    font-size: 1em;

    display: inline-block;
    cursor: pointer;
    text-decoration: none;
    color: var(--clr-neon);
    border: var(--clr-neon) 0.125em solid;
    padding: 0.25em 1em;
    border-radius: 0.25em;

    text-shadow: 
    0 0 0.125em hsl(0 0% 100% / 0.3),
    0 0 0.45em var(--clr-neon);
    
    box-shadow: inset 0 0 0.5em 0 var(--clr-neon), 0 0 0.5em 0 var(--clr-neon);
    position: relative;

}

